package libyear

import (
	"testing"
	"time"
)

func TestDecimalYear(t *testing.T) {
	values := map[time.Duration]string{
		time.Hour:           "0.00",
		time.Hour * 8760:    "1.00",
		time.Hour * 4380:    "0.50",
		time.Hour * 12264:   "1.40",
		time.Hour * 27520:   "3.14",
		time.Hour * 1000000: "114.16",
	}
	for d, s := range values {
		if r := DecimalYear(d); r != s {
			t.Logf("Expected %s, got %s for %d", s, r, d)
			t.Fail()
		}
	}
}
