# libyear

A **simple** measure of software dependency freshness. It is a **single number** telling you how up-to-date your dependencies are.

[libyear.com](https://libyear.com/)

## Usage

`libyear` only supports projects using go modules. It ignores dependencies that are replaced in a `go.mod` file.

`-h`: usage help text

`-q`: quiet mode; reduce logging and output only dependencies that are not at their latest version

`-v`: verbose mode; output diagnostic information

`-indirect`: include dependencies marked `// indirect` in `go.mod` in the calculation (excluded by default)

## Example output

When run in a directory that contains a `go.mod` file:

```bash
$ libyear
github.com/pkg/errors: 1.03 year(s) (current: v0.8.1, newest: v0.9.1)
github.com/stretchr/testify: 1.51 year(s) (current: v1.4.0, newest: v1.7.0)
go.uber.org/atomic: 0.00 year(s) (up to date: v1.7.0)
go.uber.org/multierr: 0.00 year(s) (up to date: v1.6.0)
gopkg.in/yaml.v2: 2.01 year(s) (current: v2.2.2, newest: v2.4.0)
total libyear count: 4.55 year(s)
```

## References

J. Cox, E. Bouwers, M. van Eekelen and J. Visser, Measuring Dependency Freshness in Software Systems. In Proceedings of the 37th International Conference on Software Engineering (ICSE 2015), May 2015 <https://ericbouwers.github.io/papers/icse15.pdf>
